/*
 *  Copyright 2005 Youjin Lee
 *
 *  This program is free software; you can redistribute it and/or modify
 *  it under the terms of the GNU General Public License as published by
 *  the Free Software Foundation; either version 2 of the License, or
 *  (at your option) any later version.
 *
 *  This program is distributed in the hope that it will be useful,
 *  but WITHOUT ANY WARRANTY; without even the implied warranty of
 *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *  GNU General Public License for more details.
 *
 *  You should have received a copy of the GNU General Public License
 *  along with this program; if not, write to the Free Software
 *  Foundation, Inc., 51 Franklin St, Fifth Floor, Boston, MA  02110-1301  USA
 *
 */

package net.kldp.whitebear.common.entity;

import java.io.Serializable;

public class TableRef implements Serializable {
    private static final long serialVersionUID = -6723391265089584818L;
    private String TABLE_CAT;
    private String TABLE_SCHEM ;
    private String TABLE_NAME ;
    private String TABLE_TYPE ;
    private String REMARKS ;
    private String TYPE_CAT ;
    private String TYPE_SCHEM ;
    private String TYPE_NAME ;
    private String SELF_REFERENCING_COL_NAME ;
    private String REF_GENERATION ;

    public String getCategory() {
        if (TABLE_CAT!=null) {
            return TABLE_CAT;
        } else {
            return TABLE_SCHEM;
        }
    }

    public String getREF_GENERATION() {
        return REF_GENERATION;
    }

    public void setREF_GENERATION(String ref_generation) {
        REF_GENERATION = ref_generation;
    }

    public String getREMARKS() {
        return REMARKS;
    }

    public void setREMARKS(String remarks) {
        REMARKS = remarks;
    }

    public String getSELF_REFERENCING_COL_NAME() {
        return SELF_REFERENCING_COL_NAME;
    }

    public void setSELF_REFERENCING_COL_NAME(String self_referencing_col_name) {
        SELF_REFERENCING_COL_NAME = self_referencing_col_name;
    }

    public String getTABLE_CAT() {
        return TABLE_CAT;
    }

    public void setTABLE_CAT(String table_cat) {
        TABLE_CAT = table_cat;
    }

    public String getTABLE_NAME() {
        return TABLE_NAME;
    }

    public void setTABLE_NAME(String table_name) {
        TABLE_NAME = table_name;
    }

    public String getTABLE_SCHEM() {
        return TABLE_SCHEM;
    }

    public void setTABLE_SCHEM(String table_schem) {
        TABLE_SCHEM = table_schem;
    }

    public String getTABLE_TYPE() {
        return TABLE_TYPE;
    }

    public void setTABLE_TYPE(String table_type) {
        TABLE_TYPE = table_type;
    }

    public String getTYPE_CAT() {
        return TYPE_CAT;
    }

    public void setTYPE_CAT(String type_cat) {
        TYPE_CAT = type_cat;
    }

    public String getTYPE_NAME() {
        return TYPE_NAME;
    }

    public void setTYPE_NAME(String type_name) {
        TYPE_NAME = type_name;
    }

    public String getTYPE_SCHEM() {
        return TYPE_SCHEM;
    }

    public void setTYPE_SCHEM(String type_schem) {
        TYPE_SCHEM = type_schem;
    }
}
