/*
 *  Copyright 2005 Youjin Lee
 *
 *  This program is free software; you can redistribute it and/or modify
 *  it under the terms of the GNU General Public License as published by
 *  the Free Software Foundation; either version 2 of the License, or
 *  (at your option) any later version.
 *
 *  This program is distributed in the hope that it will be useful,
 *  but WITHOUT ANY WARRANTY; without even the implied warranty of
 *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *  GNU General Public License for more details.
 *
 *  You should have received a copy of the GNU General Public License
 *  along with this program; if not, write to the Free Software
 *  Foundation, Inc., 51 Franklin St, Fifth Floor, Boston, MA  02110-1301  USA
 *
 */

package net.kldp.whitebear.common.variable;

public class DBTypes {
    public static final int DB_TYPE_UNKNOWN = -1;
    public static final int DB_TYPE_ORACLE  = 0;
    public static final int DB_TYPE_MYSQL   = 1;
    
    public static final String[] dbtypeNames = {
        "Oracle",
        "MySQL"
    };
    
    public static boolean isCorrectDbType(int dbtype) {
        for (int i=0; i<dbtypeNames.length; i++) {
            if (i==dbtype) {
                return true;
            }
        }
        return false;
    }
    
    public static String getDbTypeName(int dbtype) {
        return dbtypeNames[dbtype];
    }
    
    public static int getDbType(String dbTypeName) {
        for (int i=0; i<dbtypeNames.length; i++) {
            if (dbTypeName.equals(dbtypeNames[i])) {
                return i;
            }
        }
        return DB_TYPE_UNKNOWN;
    }

}
