/*
 *  Copyright 2005 Youjin Lee
 *
 *  This program is free software; you can redistribute it and/or modify
 *  it under the terms of the GNU General Public License as published by
 *  the Free Software Foundation; either version 2 of the License, or
 *  (at your option) any later version.
 *
 *  This program is distributed in the hope that it will be useful,
 *  but WITHOUT ANY WARRANTY; without even the implied warranty of
 *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *  GNU General Public License for more details.
 *
 *  You should have received a copy of the GNU General Public License
 *  along with this program; if not, write to the Free Software
 *  Foundation, Inc., 51 Franklin St, Fifth Floor, Boston, MA  02110-1301  USA
 *
 */

package net.kldp.whitebear.handler.ui.swing;

import java.awt.BorderLayout;

import javax.swing.JPanel;
import javax.swing.JTabbedPane;

import net.kldp.whitebear.handler.MainHandler;

public class BrowserPanel extends JPanel {
    private static final long serialVersionUID = -1251941459433028606L;
    public static String TABLE_PANEL = "TABLE";
    
    private JTabbedPane jTabbedPane = null;
    private TableTreePanel tableTreePanel = null;
    private MainHandler mainHandler;
    
    /**
     * This is the default constructor
     */
    public BrowserPanel() {
        super();
        initialize();
    }

    public void setMainHandler(MainHandler mainHandler) {
        this.mainHandler = mainHandler;
        this.tableTreePanel.setMainHandler(this.mainHandler);
    }    
    
    /**
     * This method initializes this
     * 
     * @return void
     */
    private void initialize() {
        this.setLayout(new BorderLayout());
        this.setSize(300, 200);
        this.add(getJTabbedPane(), java.awt.BorderLayout.CENTER);
    }

    private JTabbedPane getJTabbedPane() {
        if (jTabbedPane == null) {
            jTabbedPane = new JTabbedPane();
            jTabbedPane.addTab(TABLE_PANEL, getTableTreePanel());
        }
        return jTabbedPane;
    }    

    public TableTreePanel getTableTreePanel() {
        if (tableTreePanel == null) {
            tableTreePanel = new TableTreePanel();
        }
        return tableTreePanel;
    }  

}
