/*
 *  Copyright 2005 Youjin Lee
 *
 *  This program is free software; you can redistribute it and/or modify
 *  it under the terms of the GNU General Public License as published by
 *  the Free Software Foundation; either version 2 of the License, or
 *  (at your option) any later version.
 *
 *  This program is distributed in the hope that it will be useful,
 *  but WITHOUT ANY WARRANTY; without even the implied warranty of
 *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *  GNU General Public License for more details.
 *
 *  You should have received a copy of the GNU General Public License
 *  along with this program; if not, write to the Free Software
 *  Foundation, Inc., 51 Franklin St, Fifth Floor, Boston, MA  02110-1301  USA
 *
 */

package net.kldp.whitebear.handler.ui.swing;


import java.awt.BorderLayout;

import javax.swing.JPanel;
import javax.swing.JScrollPane;
import javax.swing.JTextArea;


public class SqlEditorPanel extends JPanel {
    private static final long serialVersionUID = 141960077044809098L;
    private JScrollPane jScrollPane = null;
    private JTextArea jTextArea = null;
    private SqlPanel sqlPanel = null;
    
    public SqlEditorPanel() {
        super();
        initialize();
    }

    public SqlPanel getSqlPanel() {
        return sqlPanel;
    }

    public void setSqlPanel(SqlPanel sqlPanel) {
        this.sqlPanel = sqlPanel;
    }

    private void initialize() {
        this.setLayout(new BorderLayout());
        this.setSize(new java.awt.Dimension(300,200));
        this.add(getJScrollPane(), java.awt.BorderLayout.CENTER);
    }

    private JScrollPane getJScrollPane() {
        if (jScrollPane == null) {
            jScrollPane = new JScrollPane();
            jScrollPane.setViewportView(getJTextArea());
        }
        return jScrollPane;
    }

    public JTextArea getJTextArea() {
        if (jTextArea == null) {
            jTextArea = new JTextArea();
            jTextArea.setFont(new java.awt.Font("Courier New", java.awt.Font.PLAIN, 12));
            jTextArea.setTabSize(4);
        }
        return jTextArea;
    }

    public String getQuery() {
        return jTextArea.getText().trim();
    }
}
