/*
 *  Copyright 2005 Youjin Lee
 *
 *  This program is free software; you can redistribute it and/or modify
 *  it under the terms of the GNU General Public License as published by
 *  the Free Software Foundation; either version 2 of the License, or
 *  (at your option) any later version.
 *
 *  This program is distributed in the hope that it will be useful,
 *  but WITHOUT ANY WARRANTY; without even the implied warranty of
 *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *  GNU General Public License for more details.
 *
 *  You should have received a copy of the GNU General Public License
 *  along with this program; if not, write to the Free Software
 *  Foundation, Inc., 51 Franklin St, Fifth Floor, Boston, MA  02110-1301  USA
 *
 */

package net.kldp.whitebear.handler.ui.swing;


import java.awt.BorderLayout;

import javax.swing.JPanel;
import javax.swing.JSplitPane;

import net.kldp.whitebear.common.entity.QueryResult;
import net.kldp.whitebear.handler.MainHandler;

public class SqlPanel extends JPanel {
    private static final long serialVersionUID = -1498010288126532093L;
    private JSplitPane jSplitPane = null;
    private SqlEditorPanel sqlEditorPanel = null;
    private SqlResultPanel sqlResultPanel = null;
    private QueryResult QueryResult = null;
    private MainHandler mainHandler = null;
    
    public QueryResult getQueryResult() {
        return QueryResult;
    }

    public void setQueryResult(QueryResult queryResult) {
        QueryResult = queryResult;
    }
    
    /**
     * This is the default constructor
     */
    public SqlPanel() {
        super();
        initialize();
    }

    public SqlPanel(MainHandler mainHandler) {
        super();
        this.mainHandler = mainHandler;
        initialize();
    }
    
    /**
     * This method initializes this
     * 
     * @return void
     */
    private void initialize() {
        this.setLayout(new BorderLayout());
        this.setSize(new java.awt.Dimension(300,200));
        this.add(getJSplitPane(), java.awt.BorderLayout.CENTER);

    }

    /**
     * This method initializes jSplitPane	
     * 	
     * @return javax.swing.JSplitPane	
     */
    private JSplitPane getJSplitPane() {
        if (jSplitPane == null) {
            jSplitPane = new JSplitPane();
            jSplitPane.setOrientation(javax.swing.JSplitPane.VERTICAL_SPLIT);
            jSplitPane.setDividerLocation(200);
            jSplitPane.setCursor(new java.awt.Cursor(java.awt.Cursor.DEFAULT_CURSOR));
            jSplitPane.setTopComponent(getSqlEditorPanel());
            jSplitPane.setBottomComponent(getSqlResultPanel());
        }
        return jSplitPane;
    }

    public SqlEditorPanel getSqlEditorPanel() {
        if (sqlEditorPanel == null) {
            sqlEditorPanel = new SqlEditorPanel();
            sqlEditorPanel.setSqlPanel(this);
        }
        return sqlEditorPanel;
    }    
    
    public SqlResultPanel getSqlResultPanel() {
        if (sqlResultPanel == null) {
            sqlResultPanel = new SqlResultPanel(mainHandler);
        }
        return sqlResultPanel;
    }

    public void setMainHandler(MainHandler mainHandler) {
        this.mainHandler = mainHandler;
    }    
        
}
