/*
 *  Copyright 2005 Youjin Lee
 *
 *  This program is free software; you can redistribute it and/or modify
 *  it under the terms of the GNU General Public License as published by
 *  the Free Software Foundation; either version 2 of the License, or
 *  (at your option) any later version.
 *
 *  This program is distributed in the hope that it will be useful,
 *  but WITHOUT ANY WARRANTY; without even the implied warranty of
 *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *  GNU General Public License for more details.
 *
 *  You should have received a copy of the GNU General Public License
 *  along with this program; if not, write to the Free Software
 *  Foundation, Inc., 51 Franklin St, Fifth Floor, Boston, MA  02110-1301  USA
 *
 */

package net.kldp.whitebear.handler.ui.swing;

import java.awt.GridBagConstraints;
import java.awt.GridBagLayout;
import java.awt.GridLayout;

import javax.swing.JButton;
import javax.swing.JComboBox;
import javax.swing.JDialog;
import javax.swing.JLabel;
import javax.swing.JPanel;
import javax.swing.JPasswordField;
import javax.swing.JScrollPane;
import javax.swing.JTextField;
import javax.swing.ListSelectionModel;

import net.kldp.whitebear.common.entity.DbConnectInfo;
import net.kldp.whitebear.common.variable.DBTypes;



public class StartUpDialog extends JDialog {
    private static final long serialVersionUID = 514599439032201431L;

    private JPanel jContentPane = null;

    private JComboBox jcDbtype = null;

    private JTextField tfDbName = null;

    private JTextField tfHost = null;

    private JTextField tfPort = null;

    private JTextField tfUserName = null;

    private JPasswordField pfPassword = null;

    private JButton bOk = null;
    
    private JButton bCancel = null;

    private JPanel jPanel = null;

    private JLabel jLabel = null;

    private JLabel jLabel4 = null;

    private JLabel jLabel3 = null;

    private JLabel jLabel2 = null;

    private JLabel jLabel1 = null;

    private JLabel jLabel5 = null;

    private JButton bDelete = null;

    private JPanel jPanel1 = null;

    private JScrollPane jScrollPane = null;

    private ReadOnlyTable readOnlyTable = null;

    private JButton bInsert = null;
    
    public StartUpDialog() {
        super();
        initialize();
    }
    
    private void initialize() {
        this.setSize(655, 230);
        this.setContentPane(getJContentPane());
        setVisible(true);        
    }

    private JPanel getJContentPane() {
        if (jContentPane == null) {
            jContentPane = new JPanel();
            jContentPane.setLayout(null);
            jContentPane.add(getJPanel(), null);
            jContentPane.add(getJPanel1(), null);
            jContentPane.add(getJScrollPane(), null);
        }
        return jContentPane;
    }

    public JTextField getTfHost() {
        if (tfHost == null) {
            tfHost = new JTextField();
            tfHost.setMinimumSize(new java.awt.Dimension(120,20));
            tfHost.setPreferredSize(new java.awt.Dimension(120,20));
        }
        return tfHost;
    }

    private JComboBox getJcDbtype() {
        if (jcDbtype == null) {
            jcDbtype = new JComboBox(DBTypes.dbtypeNames);
            jcDbtype.setMinimumSize(new java.awt.Dimension(120,20));
            jcDbtype.setPreferredSize(new java.awt.Dimension(120,20));
        }
        return jcDbtype;
    }

    private JTextField getTfDbName() {
        if (tfDbName == null) {
            tfDbName = new JTextField();
            tfDbName.setMinimumSize(new java.awt.Dimension(120,20));
            tfDbName.setPreferredSize(new java.awt.Dimension(120,20));
        }
        return tfDbName;
    }

    private JTextField getTfPort() {
        if (tfPort == null) {
            tfPort = new JTextField();
            tfPort.setMinimumSize(new java.awt.Dimension(120,20));
            tfPort.setPreferredSize(new java.awt.Dimension(120,20));
        }
        return tfPort;
    }

    private JTextField getTfUserName() {
        if (tfUserName == null) {
            tfUserName = new JTextField();
            tfUserName.setMinimumSize(new java.awt.Dimension(120,20));
            tfUserName.setPreferredSize(new java.awt.Dimension(120,20));
        }
        return tfUserName;
    }

    private JPasswordField getPfPassword() {
        if (pfPassword == null) {
            pfPassword = new JPasswordField();
            pfPassword.setMinimumSize(new java.awt.Dimension(120,20));
            pfPassword.setAlignmentX(0.5F);
            pfPassword.setAlignmentY(0.5F);
            pfPassword.setPreferredSize(new java.awt.Dimension(120,20));
        }
        return pfPassword;
    }

    public JButton getBOk() {
        if (bOk == null) {
            bOk = new JButton();
            bOk.setText("OK");
            bOk.setMaximumSize(new java.awt.Dimension(70,20));
            bOk.setMinimumSize(new java.awt.Dimension(70,20));
            bOk.setPreferredSize(new java.awt.Dimension(70,20));
            bOk.setBounds(new java.awt.Rectangle(5,5,70,20));
            bOk.setMargin(new java.awt.Insets(0,0,0,0));
        }
        return bOk;
    }

    public JButton getBCancel() {
        if (bCancel == null) {
            bCancel = new JButton();
            bCancel.setText("Cancel");
            bCancel.setMaximumSize(new java.awt.Dimension(70,20));
            bCancel.setMinimumSize(new java.awt.Dimension(70,20));
            bCancel.setPreferredSize(new java.awt.Dimension(70,20));
            bCancel.setBounds(new java.awt.Rectangle(80,5,70,20));
            bCancel.setMargin(new java.awt.Insets(0,0,0,0));
        }
        return bCancel;
    }
    
    public DbConnectInfo getDbConnectInfo() {
        DbConnectInfo dbConnectInfo = new DbConnectInfo();
        dbConnectInfo.setDbName(getTfDbName().getText().trim());
        dbConnectInfo.setDbtype(getJcDbtype().getSelectedIndex());
        dbConnectInfo.setHost(getTfHost().getText().trim());
        dbConnectInfo.setPassword(new String(getPfPassword().getPassword()));
        dbConnectInfo.setPort(getTfPort().getText().trim());
        dbConnectInfo.setUserName(getTfUserName().getText().trim());
        return dbConnectInfo;
    }
    
    public void setDbConnectInfo(DbConnectInfo dbConnectInfo) {
        this.getTfDbName().setText(dbConnectInfo.getDbName());
        this.getTfHost().setText(dbConnectInfo.getHost());
        this.getTfPort().setText(dbConnectInfo.getPort());
        this.getTfUserName().setText(dbConnectInfo.getUserName());
        this.getJcDbtype().setSelectedIndex(dbConnectInfo.getDbtype());
    }

    private JPanel getJPanel() {
        if (jPanel == null) {
            GridBagConstraints gridBagConstraints11 = new GridBagConstraints();
            gridBagConstraints11.gridx = 0;
            gridBagConstraints11.insets = new java.awt.Insets(5,5,0,5);
            gridBagConstraints11.fill = java.awt.GridBagConstraints.HORIZONTAL;
            gridBagConstraints11.gridy = 0;
            jLabel5 = new JLabel();
            jLabel5.setText("dbtype");
            jLabel5.setMinimumSize(new java.awt.Dimension(40,20));
            jLabel5.setMaximumSize(new java.awt.Dimension(40,20));
            jLabel5.setPreferredSize(new java.awt.Dimension(40,20));
            GridBagConstraints gridBagConstraints10 = new GridBagConstraints();
            gridBagConstraints10.gridx = 0;
            gridBagConstraints10.fill = java.awt.GridBagConstraints.HORIZONTAL;
            gridBagConstraints10.insets = new java.awt.Insets(0,5,0,5);
            gridBagConstraints10.gridy = 1;
            jLabel1 = new JLabel();
            jLabel1.setText("dbName");
            jLabel1.setMinimumSize(new java.awt.Dimension(40,20));
            jLabel1.setMaximumSize(new java.awt.Dimension(40,20));
            jLabel1.setPreferredSize(new java.awt.Dimension(40,20));
            GridBagConstraints gridBagConstraints9 = new GridBagConstraints();
            gridBagConstraints9.gridx = 0;
            gridBagConstraints9.fill = java.awt.GridBagConstraints.HORIZONTAL;
            gridBagConstraints9.insets = new java.awt.Insets(0,5,0,5);
            gridBagConstraints9.gridy = 2;
            jLabel2 = new JLabel();
            jLabel2.setText("host");
            jLabel2.setMinimumSize(new java.awt.Dimension(40,20));
            jLabel2.setMaximumSize(new java.awt.Dimension(40,20));
            jLabel2.setPreferredSize(new java.awt.Dimension(40,20));
            GridBagConstraints gridBagConstraints8 = new GridBagConstraints();
            gridBagConstraints8.gridx = 0;
            gridBagConstraints8.fill = java.awt.GridBagConstraints.HORIZONTAL;
            gridBagConstraints8.insets = new java.awt.Insets(0,5,0,5);
            gridBagConstraints8.gridy = 3;
            jLabel3 = new JLabel();
            jLabel3.setText("port");
            jLabel3.setMinimumSize(new java.awt.Dimension(40,20));
            jLabel3.setMaximumSize(new java.awt.Dimension(40,20));
            jLabel3.setPreferredSize(new java.awt.Dimension(40,20));
            GridBagConstraints gridBagConstraints7 = new GridBagConstraints();
            gridBagConstraints7.gridx = 0;
            gridBagConstraints7.fill = java.awt.GridBagConstraints.HORIZONTAL;
            gridBagConstraints7.insets = new java.awt.Insets(0,5,0,5);
            gridBagConstraints7.gridy = 4;
            jLabel4 = new JLabel();
            jLabel4.setText("userName");
            jLabel4.setMinimumSize(new java.awt.Dimension(40,20));
            jLabel4.setMaximumSize(new java.awt.Dimension(40,20));
            jLabel4.setPreferredSize(new java.awt.Dimension(40,20));
            GridBagConstraints gridBagConstraints6 = new GridBagConstraints();
            gridBagConstraints6.gridx = 0;
            gridBagConstraints6.fill = java.awt.GridBagConstraints.HORIZONTAL;
            gridBagConstraints6.ipadx = 0;
            gridBagConstraints6.insets = new java.awt.Insets(0,5,5,5);
            gridBagConstraints6.gridy = 5;
            jLabel = new JLabel();
            jLabel.setText("password");
            jLabel.setPreferredSize(new java.awt.Dimension(70,20));
            jLabel.setMinimumSize(new java.awt.Dimension(70,20));
            jLabel.setMaximumSize(new java.awt.Dimension(70,20));
            jLabel.setCursor(new java.awt.Cursor(java.awt.Cursor.DEFAULT_CURSOR));
            GridBagConstraints gridBagConstraints5 = new GridBagConstraints();
            gridBagConstraints5.fill = java.awt.GridBagConstraints.HORIZONTAL;
            gridBagConstraints5.gridy = 0;
            gridBagConstraints5.weightx = 1.0;
            gridBagConstraints5.insets = new java.awt.Insets(5,0,0,5);
            gridBagConstraints5.gridx = 1;
            GridBagConstraints gridBagConstraints4 = new GridBagConstraints();
            gridBagConstraints4.fill = java.awt.GridBagConstraints.HORIZONTAL;
            gridBagConstraints4.gridy = 1;
            gridBagConstraints4.weightx = 1.0;
            gridBagConstraints4.insets = new java.awt.Insets(0,0,0,5);
            gridBagConstraints4.gridx = 1;
            GridBagConstraints gridBagConstraints3 = new GridBagConstraints();
            gridBagConstraints3.fill = java.awt.GridBagConstraints.HORIZONTAL;
            gridBagConstraints3.gridy = 2;
            gridBagConstraints3.weightx = 1.0;
            gridBagConstraints3.insets = new java.awt.Insets(0,0,0,5);
            gridBagConstraints3.gridx = 1;
            GridBagConstraints gridBagConstraints2 = new GridBagConstraints();
            gridBagConstraints2.fill = java.awt.GridBagConstraints.HORIZONTAL;
            gridBagConstraints2.gridy = 3;
            gridBagConstraints2.weightx = 1.0;
            gridBagConstraints2.insets = new java.awt.Insets(0,0,0,5);
            gridBagConstraints2.gridx = 1;
            GridBagConstraints gridBagConstraints1 = new GridBagConstraints();
            gridBagConstraints1.fill = java.awt.GridBagConstraints.HORIZONTAL;
            gridBagConstraints1.gridy = 4;
            gridBagConstraints1.weightx = 1.0;
            gridBagConstraints1.insets = new java.awt.Insets(0,0,0,5);
            gridBagConstraints1.gridx = 1;
            GridBagConstraints gridBagConstraints = new GridBagConstraints();
            gridBagConstraints.fill = java.awt.GridBagConstraints.HORIZONTAL;
            gridBagConstraints.gridy = 5;
            gridBagConstraints.weightx = 1.0;
            gridBagConstraints.insets = new java.awt.Insets(0,0,5,5);
            gridBagConstraints.gridx = 1;
            jPanel = new JPanel();
            jPanel.setLayout(new GridBagLayout());
            jPanel.setPreferredSize(new java.awt.Dimension(230,130));
            jPanel.setMinimumSize(new java.awt.Dimension(230,130));
            jPanel.setLocation(new java.awt.Point(410,5));
            jPanel.setSize(new java.awt.Dimension(230,130));
            jPanel.setMaximumSize(new java.awt.Dimension(230,130));
            jPanel.add(getPfPassword(), gridBagConstraints);
            jPanel.add(getTfUserName(), gridBagConstraints1);
            jPanel.add(getTfPort(), gridBagConstraints2);
            jPanel.add(getTfHost(), gridBagConstraints3);
            jPanel.add(getTfDbName(), gridBagConstraints4);
            jPanel.add(getJcDbtype(), gridBagConstraints5);
            jPanel.add(jLabel, gridBagConstraints6);
            jPanel.add(jLabel4, gridBagConstraints7);
            jPanel.add(jLabel3, gridBagConstraints8);
            jPanel.add(jLabel2, gridBagConstraints9);
            jPanel.add(jLabel1, gridBagConstraints10);
            jPanel.add(jLabel5, gridBagConstraints11);
        }
        return jPanel;
    }

    public JButton getBDelete() {
        if (bDelete == null) {
            bDelete = new JButton();
            bDelete.setText("Delete");
            bDelete.setMaximumSize(new java.awt.Dimension(70,20));
            bDelete.setMinimumSize(new java.awt.Dimension(70,20));
            bDelete.setPreferredSize(new java.awt.Dimension(70,20));
            bDelete.setSize(new java.awt.Dimension(70,20));
            bDelete.setLocation(new java.awt.Point(80,30));
            bDelete.setMargin(new java.awt.Insets(0,0,0,0));
        }
        return bDelete;
    }

    private JPanel getJPanel1() {
        if (jPanel1 == null) {
            GridLayout gridLayout = new GridLayout();
            gridLayout.setRows(1);
            gridLayout.setColumns(30);
            jPanel1 = new JPanel();
            jPanel1.setLocation(new java.awt.Point(410,140));
            jPanel1.setSize(new java.awt.Dimension(230,55));
            jPanel1.setPreferredSize(new java.awt.Dimension(230,55));
            jPanel1.setMinimumSize(new java.awt.Dimension(230,55));
            jPanel1.setMaximumSize(new java.awt.Dimension(230,55));
            jPanel1.setLayout(null);
            jPanel1.add(getBOk(), null);
            jPanel1.add(getBCancel(), null);
            jPanel1.add(getBDelete(), null);
            jPanel1.add(getBInsert(), null);
        }
        return jPanel1;
    }

    private JScrollPane getJScrollPane() {
        if (jScrollPane == null) {
            jScrollPane = new JScrollPane();
            jScrollPane.setSize(new java.awt.Dimension(400,190));
            jScrollPane.setLocation(new java.awt.Point(5,5));
            jScrollPane.setPreferredSize(new java.awt.Dimension(400,190));
            jScrollPane.setMinimumSize(new java.awt.Dimension(400,190));
            jScrollPane.setViewportView(getReadOnlyTable());
        }
        return jScrollPane;
    }

    public ReadOnlyTable getReadOnlyTable() {
        if (readOnlyTable == null) {
            readOnlyTable = new ReadOnlyTable(true);
            readOnlyTable.setSelectionMode(ListSelectionModel.SINGLE_SELECTION);
            readOnlyTable.setColumnSelectionAllowed(false);
        }
        return readOnlyTable;
    }

    public JButton getBInsert() {
        if (bInsert == null) {
            bInsert = new JButton();
            bInsert.setText("Insert");
            bInsert.setSize(new java.awt.Dimension(70,20));
            bInsert.setPreferredSize(new java.awt.Dimension(70,20));
            bInsert.setMinimumSize(new java.awt.Dimension(70,20));
            bInsert.setMaximumSize(new java.awt.Dimension(70,20));
            bInsert.setMargin(new java.awt.Insets(0,0,0,0));
            bInsert.setLocation(new java.awt.Point(5,30));
        }
        return bInsert;
    }


}
