/*
 *  Copyright 2005 Youjin Lee
 *
 *  This program is free software; you can redistribute it and/or modify
 *  it under the terms of the GNU General Public License as published by
 *  the Free Software Foundation; either version 2 of the License, or
 *  (at your option) any later version.
 *
 *  This program is distributed in the hope that it will be useful,
 *  but WITHOUT ANY WARRANTY; without even the implied warranty of
 *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *  GNU General Public License for more details.
 *
 *  You should have received a copy of the GNU General Public License
 *  along with this program; if not, write to the Free Software
 *  Foundation, Inc., 51 Franklin St, Fifth Floor, Boston, MA  02110-1301  USA
 *
 */

package net.kldp.whitebear.handler.ui.swing;

import java.awt.BorderLayout;

import javax.swing.JPanel;
import javax.swing.JScrollPane;
import javax.swing.table.DefaultTableModel;

public class TableInfoPanel extends JPanel {
    private static final long serialVersionUID = -6571846798403168690L;
    private JScrollPane jScrollPane = null;
    private ReadOnlyTable readOnlyTable;
    private String[] columnNames = {
        "COLUMN_NAME",
        "TYPE_NAME",
        "COLUMN_SIZE",
        "DECIMAL_DIGITS",
        "IS_NULLABLE",
        "COLUMN_DEF",
        "REMARKS",
        "TABLE_CAT",
        "TABLE_SCHEM",
        "TABLE_NAME",
        "DATA_TYPE",
        "NUM_PREC_RADIX",
        "NULLABLE",
        "CHAR_OCTET_LENGTH",
        "ORDINAL_POSITION",
        "SCOPE_CATLOG",
        "SCOPE_SCHEMA",
        "SCOPE_TABLE",
        "SOURCE_DATA_TYPE"
    };
    
    public TableInfoPanel() {
        super();
        initialize();
    }

    private void initialize() {
        this.setLayout(new BorderLayout());
        this.setSize(new java.awt.Dimension(300,200));
        this.add(getJScrollPane(), java.awt.BorderLayout.CENTER);
    }
    
    private JScrollPane getJScrollPane() {
        if (jScrollPane == null) {
            jScrollPane = new JScrollPane();
            jScrollPane.setViewportView(getReadOnlyTable());
        }
        return jScrollPane;
    }

    public ReadOnlyTable getReadOnlyTable() {
        if (readOnlyTable == null) {
            readOnlyTable = new ReadOnlyTable(true);
            DefaultTableModel defaultTableModel = (DefaultTableModel)readOnlyTable.getModel();
            for (int i=0; i<columnNames.length; i++) {
                defaultTableModel.addColumn(columnNames[i]);
            }
            readOnlyTable.autoResizeColumnWidth();
        }
        return readOnlyTable;
    }

    public String[] getColumnNames() {
        return columnNames;
    }
   
}
